Skip to main content
GET
/
api
/
v1
/
projects
/
{project}
/
sources-data
/
category-distribution
Sources (Category Distribution)
curl --request GET \
  --url https://app.surfacd.com/api/v1/projects/{project}/sources-data/category-distribution \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.surfacd.com/api/v1/projects/{project}/sources-data/category-distribution"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.surfacd.com/api/v1/projects/{project}/sources-data/category-distribution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "label": "<string>",
      "count": 123,
      "percentage": 123,
      "responses_count": 123,
      "response_percentage": 123,
      "total_responses": 123
    }
  ],
  "total_sources": 123,
  "total_responses": 123
}
{
"message": "<string>",
"errors": {}
}

Authorizations

Authorization
string
header
required

Team API key created in Team Settings. Use it with URLs for the same team.

Path Parameters

project
string<uuid>
required

Project UUID.

Query Parameters

brands
string<uuid>[]
required

Exactly one brand UUID. Pass as brands[]=....

Required array length: 1 element
start_date
string<date>
required
end_date
string<date>
required
tags
string<uuid>[]

Tag UUID filters. Discover tag UUIDs with GET /api/v1/projects/{project}/tags.

services
string[]

AI platform provider filters such as chatgpt or perplexity. Discover providers with GET /api/v1/platforms.

countries
string[]

Country code filters such as US or GB. Discover codes with GET /api/v1/countries.

prompt
string<uuid>

Prompt UUID filter.

topics
string[]

Topic UUID filters. Use no_topic for prompts without a topic. Discover topic UUIDs with GET /api/v1/projects/{project}/topics.

Response

Category distribution payload.

data
object[]
required
total_sources
integer
required
total_responses
integer
required